update binutils and GCC for trusty

Bug #1311866 reported by Matthias Klose on 2014-04-23
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
binutils (Ubuntu)
Trusty
Wishlist
Matthias Klose
binutils-arm64-cross (Ubuntu)
Trusty
Undecided
Unassigned
binutils-armel-cross (Ubuntu)
Trusty
Undecided
Unassigned
binutils-armhf-cross (Ubuntu)
Trusty
Undecided
Unassigned
binutils-powerpc-cross (Ubuntu)
Trusty
Undecided
Unassigned
binutils-ppc64el-cross (Ubuntu)
Trusty
Undecided
Unassigned
gcc-4.8 (Ubuntu)
Trusty
Wishlist
Matthias Klose
gcc-4.8-arm64-cross (Ubuntu)
Trusty
Undecided
Unassigned
gcc-4.8-armhf-cross (Ubuntu)
Trusty
Undecided
Unassigned
gcc-4.8-powerpc-cross (Ubuntu)
Trusty
Undecided
Unassigned
gcc-4.8-ppc64el-cross (Ubuntu)
Trusty
Undecided
Unassigned

Bug Description

an SRU issue to document the update of gcc-4.8 in trusty

14.04 LTS saw two new architectures, arm64 and ppc64el. These require some updates for the toolchain. binutils takes some selected patches to fix specific issues, and gcc-4.8 takes the state of the current gcc-4.8 fsf branch to update the compiler. Changes and addresses issues are mentioned in the debian changelog. Packages are prepared in the ubuntu-toolchain-r/ppa PPA, and a test rebuild of the archive was done on all architectures using this PPA. The results of this test rebuild look ok (for all of the -release, -updates and -security pockets). As a further test, the linux (see bug #1383474), firefox and libreoffice packages were rebuilt, tested and found working.

The test rebuild archives are:
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20140911-trusty.html
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20140912-trusty.html
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20140913-trusty.html

gcc-4.8 should be built with the new binutils.

Changed in gcc-4.8 (Ubuntu Utopic):
assignee: nobody → Matthias Klose (doko)
Changed in gcc-4.8 (Ubuntu Trusty):
assignee: nobody → Matthias Klose (doko)
Changed in gcc-4.8 (Ubuntu Utopic):
importance: Undecided → Wishlist
Changed in gcc-4.8 (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in gcc-4.8 (Ubuntu Utopic):
status: New → Confirmed
Changed in gcc-4.8 (Ubuntu Trusty):
status: New → Confirmed
Matthias Klose (doko) on 2014-06-07
summary: - update to gcc-4.8.3 in trusty
+ update binutils and GCC for trusty
Changed in binutils (Ubuntu Utopic):
status: New → Invalid
Changed in gcc-4.8 (Ubuntu Utopic):
status: Confirmed → Invalid
assignee: Matthias Klose (doko) → nobody
Changed in binutils (Ubuntu Trusty):
assignee: nobody → Matthias Klose (doko)
status: New → Confirmed
importance: Undecided → Wishlist
Matthias Klose (doko) on 2015-01-23
description: updated
description: updated
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Download full text (3.4 KiB)

here is the analysis of the build failures. afaics, there is only one toolchain related build failure, u-boot. Both upstream and debian already stopped building that one, and this ZUMA platform was never supported in Ubuntu 14.04 LTS.

bzr: https://launchpad.net/bugs/1451448
        regression with python 2.7.9/10

celery: https://launchpad.net/bugs/1451452
        regression (expired certificate)

cinder: https://launchpad.net/bugs/1451453
        python2.7 certificate validation

click-apparmor: https://launchpad.net/bugs/1451459
        regression with python3.4 ?

firefox: https://launchpad.net/bugs/1451453
        arm64 only, not a regression

flite: https://launchpad.net/bugs/1451462
        fails to unpack (fuzz in diff)

gcc-4.8:
        part of the proposed updates

gccgo-4.9:
        part of the proposed updates

grantlee:
        test failures on arm64

graphite2: https://launchpad.net/bugs/1451438
        no regression in test rebuild

hfsutils: https://launchpad.net/bugs/
        fails to unpack (fuzz in diff)

icu:
        fails to build in -release, built in -updates

keystone: https://launchpad.net/bugs/1451453
        python2.7 certificate validation

libarchive: https://launchpad.net/bugs/1451474
        test failures, built, when given back

libqtdbusmock: https://launchpad.net/bugs/1451474
        test failures on powerpc, fails in trusty as well

libqtdbustest: https://launchpad.net/bugs/1451474
        test failures on powerpc, fails in trusty as well

libreoffice:
        fails to build in -release, built in -updates

libxfont:
        fails to build in -release, built in -updates

lintian: https://launchpad.net/bugs/1451528
        test failure

linux:
        fails to build in -release, built in -updates

llvm-3.4:
        build failure on ppc64el, no regression

mir:
        build failure on arm64, no regression

mysql-5.5:
        fails to build in -release, built in -updates

neutron: https://launchpad.net/bugs/1451453
        python2.7 certificate validation

openjdk-7:
        fails to build in -release, built in -updates

openvpn:
        fails to build in -release, built in -updates

patch:
        fails to build in -release, built in -updates

ps3-kboot:
        build failure on arm64, no regression

openjdk-7:
        fails to build in -release, built in -updates

pygresql: https://launchpad.net/bugs/1451530
        fails to build, needs fix from utopic

python-apt: https://launchpad.net/bugs/1451531
        python 2.7.9 related?

python-django:
        fails to build in -release, built in -updates

python-docutils: https://launchpad.net/bugs/1451533
        python 2.7.9 related?

python-eventlet: https://launchpad.net/bugs/1371291
        python 2.7.9 related

python-glanceclient: https://launchpad.net/bugs/1451453
        python2.7 certificate validation

python-greenlet: https://launchpad.net/bugs/1451537
        python 2.7.9 related?

serf:
        fails to build in -release, built in -updates

spice: https://launchpad.net/bugs/1450043
        fails to apply patches

thunderbird:
        fails to build on arm64 and ppc64el, no regression.

tomcat7: https://launchpad.net/bugs/1451539
        openjdk-7 rela...

Read more...

Steve Langasek (vorlon) wrote :

> firefox: https://launchpad.net/bugs/1451453
> arm64 only, not a regression

firefox failed to build on both arm64 and ppc64el in the toolchain test rebuild, but only failed on arm64 in a no-change rebuild.

/usr/bin/ld.bfd.real: ../libjs_static.a(linux64.o): ABI version 1 is not compatible with ABI version 2 output
/usr/bin/ld.bfd.real: failed to merge target specific data of file ../libjs_static.a(linux64.o)
/usr/bin/ld.bfd.real: ../libjs_static.a(linux64_closure.o): ABI version 1 is not compatible with ABI version 2 output
/usr/bin/ld.bfd.real: failed to merge target specific data of file ../libjs_static.a(linux64_closure.o)

https://launchpad.net/ubuntu/+archive/test-rebuild-20150317/+build/7074123

This looks to me like a toolchain-related regression.

> flite: https://launchpad.net/bugs/1451462
> fails to unpack (fuzz in diff)

Do we know why this problem affected the toolchain test rebuild, but not the no-change test rebuild? The behavior of dpkg-source in the trusty build environment should not have changed since March.

(In any case this is not an SRU blocker, because the problem is clearly not toolchain-triggered.)

> gcc-4.8:
> part of the proposed updates

There is also a build failure of gcc-4.7 on ppc64el, is that part of the update?

> pygresql: https://launchpad.net/bugs/1451530
> fails to build, needs fix from utopic

Reproducible here; but why did this build failure not show up in http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20150317-updates-trusty.html ?

> thunderbird:
> fails to build on arm64 and ppc64el, no regression.

And fixed in -updates.

> afaics, there is only one toolchain related build failure, u-boot.
> Both upstream and debian already stopped building that one,
> and this ZUMA platform was never supported in Ubuntu 14.04 LTS.

Indeed, u-boot is in main only because it's pulled in by jasper on armhf; we don't appear to use u-boot at all on powerpc. So this behavior change (which may be a deliberate change rather than a bug), if it only affects a single u-boot target on powerpc, doesn't seem to me like a blocker for the toolchain update.

Please address the firefox/ppc64el and gcc-4.7 questions.

On 05/09/2015 01:25 AM, Steve Langasek wrote:
>> firefox: https://launchpad.net/bugs/1451453
>> arm64 only, not a regression
>
> firefox failed to build on both arm64 and ppc64el in the toolchain test
> rebuild, but only failed on arm64 in a no-change rebuild.

to make it clear, there never was a "no-change rebuild". no, ppc64el isn't a
regression, it successfully built in the updates test rebuild.

> /usr/bin/ld.bfd.real: ../libjs_static.a(linux64.o): ABI version 1 is not compatible with ABI version 2 output
> /usr/bin/ld.bfd.real: failed to merge target specific data of file ../libjs_static.a(linux64.o)
> /usr/bin/ld.bfd.real: ../libjs_static.a(linux64_closure.o): ABI version 1 is not compatible with ABI version 2 output
> /usr/bin/ld.bfd.real: failed to merge target specific data of file ../libjs_static.a(linux64_closure.o)
>
> https://launchpad.net/ubuntu/+archive/test-
> rebuild-20150317/+build/7074123
>
> This looks to me like a toolchain-related regression.

this points to a toolchain issue, however it is not a regression. the arm64
firefox failed to build before with an internal compiler error, which I fixed,
and now fails later with a linker error.

>> flite: https://launchpad.net/bugs/1451462
>> fails to unpack (fuzz in diff)
>
> Do we know why this problem affected the toolchain test rebuild, but not
> the no-change test rebuild? The behavior of dpkg-source in the trusty
> build environment should not have changed since March.

again, there was no "no change rebuild".

>> gcc-4.8:
>> part of the proposed updates
>
> There is also a build failure of gcc-4.7 on ppc64el, is that part of the
> update?

no, there never was a ppc64el port for gcc-4.7.

> Please address the firefox/ppc64el and gcc-4.7 questions.

from my point of view, these are non-issues.

Steve Langasek (vorlon) wrote :

> to make it clear, there never was a "no-change rebuild". no,
> ppc64el isn't a regression, it successfully built in the updates
> test rebuild.

Ok, thanks for the clarification. I somehow had the impression that http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20150317-updates-trusty.html was a rebuild with the stock toolchain, but a quick look at build logs shows that this was not the case.

So I agree that the firefox and gcc-4.7 build failures are not issues.

Hello Matthias, or anyone else affected,

Accepted binutils into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils/2.24-5ubuntu13 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in binutils (Ubuntu Trusty):
status: Confirmed → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-4.8 into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-4.8/4.8.4-2ubuntu1~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-4.8 (Ubuntu Trusty):
status: Confirmed → Fix Committed
Matthias Klose (doko) wrote :

verification succeeded for all binutils issues.

Matthias Klose (doko) wrote :

verification succeeded for all gcc-4.8 issues mentioned in the gcc-4.8 4.8.4-2ubuntu1~14.04 changelog entry

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (19.4 KiB)

This bug was fixed in the package gcc-4.8 - 4.8.4-2ubuntu1~14.04

---------------
gcc-4.8 (4.8.4-2ubuntu1~14.04) trusty-proposed; urgency=medium

  * SRU LP: #1311866.
  * Fix PR tree-optimization/63341 (wrong code, rs6000).
  * Allow to turn off -Wformat using Wno-format. LP: #1401836.
  * Fix PR target/60693 (x86, ice on valid code). LP: #1378737.
  * Fix PR tree-optimization/61964 (wrong code). LP: #1347147.
  * Fix GCC miscompilation with boost::asio::io_service::work. LP: #1338693.
  * Fix PR target/61208 (POWER, wrong code). LP: #1322287.
  * Fix ABI incompatibility between POWER and Z HTM builtins and intrinsics.
    LP: #1320292.
  * Fix PR c++/61046 (ice on invalid code). LP: #1313102.
  * Fix wrong-code issue in the little endian vector API (ppc64el).
    LP: #1311128.
  * Fix PR tree-optimization/59358 (wrong code). LP: #1395019.
  * Fix ice on ARM32. LP: #1268893.
  * Don't apply the backport for PR61841 for trusty, causing link failures.
  * Fix wrong code for vector doubleword extract (POWER). LP: #1437467.

gcc-4.8 (4.8.4-2ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

gcc-4.8 (4.8.4-2) unstable; urgency=medium

  * Update to SVN 20150426 (r222448) from the gcc-4_8-branch.
    - Fix PR libstdc++/60966, PR c/61553, PR middle-end/63704,
      PR target/61413 (ARM), PR target/64358 (RS6000), PR target/64479 (SH),
      PR target/64409 (x86), PR rtl-optimization/64037, PR c++/64487,
      PR c++/64251, PR c++/64297, PR fortran/63733, PR fortran/64244,
      PR c/64766, PR target/64882, PR rtl-optimization/61058,
      PR middle-end/43631, PR tree-optimization/64563, PR target/64513,
      PR middle-end/57748, PR middle-end/57748, PR target/64795,
      PR fortran/64528, PR fortran/56867, PR fortran/57023, PR c/57653,
      PR tree-optimization/63844 (OpenMP), PR middle-end/64199 (ice on valid),
      PR tree-optimization/64493 (ice on valid), PR tree-optimization/64495
      (wrong code), PR tree-optimization/56273 (diagnostics),
      PR tree-optimization/59124 (diagnostic), PR tree-optimization/64277
      (diagnostic), PR lto/65015, PR target/65163 (SH), PR target/64113 (ALPHA,
      link failure), PR rtl-optimization/64557, PR rtl-optimization/63475
      (ALPHA, wrong code), PR rtl-optimization/63483 (ALPHA, wrong code),
      PR target/64452 (AVR), PR target/64387 (x86, ice on valid),
      PR target/64979 (wrong code), PR target/64580 (rs6000),
      PR fortran/63744 (rejects valid), PR lto/65193 (ice on valid),
      PR tree-optimization/61634 (ice on valid), PR target/65196 (AVR),
      PR tree-optimization/63593 (ice on valid),
      PR tree-optimization/65063 (wrong code), PR target/65286 (rs6000),
      PR 65138/target (rs6000), PR target/53988 (SH), PR target/59593 (ARM),
      PR target/64453 (ARM), PR middle-end/65409 (ice on valid),
      PR tree-optimization/65388, PR fortran/65024 (ice),
      PR fortran/60898 (ice on valid), PR fortran/61138, PR libgfortran/60956,
      PR libstdc++/65279, PR libstdc++/65543, PR target/65849, PR target/65456,
      PR target/65787, PR c++/65727, PR c++/65721, PR fortran/56674,
      PR fortran/58813, PR fortran/590...

Changed in gcc-4.8 (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gcc-4.8 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.24-5ubuntu13

---------------
binutils (2.24-5ubuntu13) trusty-proposed; urgency=medium

  * SRU LP: #1311866.
  * Update from the 2.24 branch, 20141113.
    - Fix PR gold/16945, properly handle 64-bit GOT relocations on x86_64.
    - Fix PR gold/16900, an issue where first reserved word of GOT is not
      initialized if there is no PLT.
    - gold: Fix handling of __ehdr_start when it cannot be defined.
    - Apply mainline patches for ppc476 workaround.
    - Add binutils test cases for AArch64.
    - Disassembler fix on AArch64.
    - Fix PR ld/17047, crash in the bfd linker with MALLOC_PERTURB.
    - Fix PR ld/17277, ARM32, bogus DT_TEXTREL marker (and R_ARM_NONE)
      for PC-relative cross-section relocs.
    - [AArch64] Cortex-A53 erratum 835769 linker workaround.
  * Remove the aarch64-fix-instruction-mask, applied on the branch.
  * Fix PR gold/15639, -flto and ld.gold on ARM. LP: #1191909.
  * Use 64k for COMMONPAGESIZE on PPC. LP: #1412553.
  * Fix PR ld/16452, PR ld/16457, don't output symbol version definitions
    for non-DT_NEEDED. LP: #1248642.
  * Add powerpc target for ppc64el builds. Closes: #760395. LP: #1433238.
  * binutils-doc: Include all info files. LP: #1410780.
  * Fix PR ld/16715 (ARM), set st_value to zero for undefined symbols.
    LP: #1441961.
 -- Matthias Klose <email address hidden> Tue, 14 Apr 2015 19:52:45 +0200

Changed in binutils (Ubuntu Trusty):
status: Fix Committed → Fix Released
Matthias Klose (doko) on 2015-06-18
no longer affects: binutils-arm64-cross (Ubuntu)
no longer affects: binutils-arm64-cross (Ubuntu Utopic)
no longer affects: binutils-armel-cross (Ubuntu)
no longer affects: binutils-armel-cross (Ubuntu Utopic)
no longer affects: binutils-armhf-cross (Ubuntu)
no longer affects: binutils-armhf-cross (Ubuntu Utopic)
no longer affects: binutils-powerpc-cross (Ubuntu Utopic)
no longer affects: binutils-powerpc-cross (Ubuntu)
no longer affects: binutils-ppc64el-cross (Ubuntu)
no longer affects: gcc-4.8 (Ubuntu Utopic)
no longer affects: binutils-ppc64el-cross (Ubuntu Utopic)
no longer affects: gcc-4.8-ppc64el-cross (Ubuntu)
no longer affects: gcc-4.8-arm64-cross (Ubuntu)
no longer affects: gcc-4.8-armhf-cross (Ubuntu)
no longer affects: gcc-4.8-powerpc-cross (Ubuntu)
no longer affects: gcc-4.8 (Ubuntu)
no longer affects: binutils (Ubuntu Utopic)
no longer affects: binutils (Ubuntu)

Hello Matthias, or anyone else affected,

Accepted binutils-arm64-cross into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils-arm64-cross/0.11.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in binutils-arm64-cross (Ubuntu Trusty):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Changed in binutils-armel-cross (Ubuntu Trusty):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted binutils-armel-cross into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils-armel-cross/1.97.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in binutils-armhf-cross (Ubuntu Trusty):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted binutils-armhf-cross into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils-armhf-cross/1.98.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted binutils-powerpc-cross into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils-powerpc-cross/0.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in binutils-powerpc-cross (Ubuntu Trusty):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted binutils-ppc64el-cross into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils-ppc64el-cross/0.4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in binutils-ppc64el-cross (Ubuntu Trusty):
status: New → Fix Committed
Matthias Klose (doko) wrote :

all binutils cross packages built, checked that all are installable.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils-armel-cross - 1.97.1

---------------
binutils-armel-cross (1.97.1) trusty-proposed; urgency=medium

  * SRU: LP: #1311866.
  * Build-depend on binutils-source (>= 2.24-5ubuntu13).

 -- Matthias Klose <email address hidden> Thu, 18 Jun 2015 15:17:05 +0200

Changed in binutils-armel-cross (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils-armhf-cross - 1.98.1

---------------
binutils-armhf-cross (1.98.1) trusty-proposed; urgency=medium

  * SRU: LP: #1311866.
  * Build-depend on binutils-source (>= 2.24-5ubuntu13).

 -- Matthias Klose <email address hidden> Thu, 18 Jun 2015 15:17:05 +0200

Changed in binutils-armhf-cross (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils-arm64-cross - 0.11.1

---------------
binutils-arm64-cross (0.11.1) trusty-proposed; urgency=medium

  * SRU: LP: #1311866.
  * Build-depend on binutils-source (>= 2.24-5ubuntu13).

 -- Matthias Klose <email address hidden> Thu, 18 Jun 2015 15:17:05 +0200

Changed in binutils-arm64-cross (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils-powerpc-cross - 0.10.1

---------------
binutils-powerpc-cross (0.10.1) trusty-proposed; urgency=medium

  * SRU: LP: #1311866.
  * Build-depend on binutils-source (>= 2.24-5ubuntu13).

 -- Matthias Klose <email address hidden> Thu, 18 Jun 2015 15:17:05 +0200

Changed in binutils-powerpc-cross (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils-ppc64el-cross - 0.4.1

---------------
binutils-ppc64el-cross (0.4.1) trusty-proposed; urgency=medium

  * SRU: LP: #1311866.
  * Build-depend on binutils-source (>= 2.24-5ubuntu13).

 -- Matthias Klose <email address hidden> Thu, 18 Jun 2015 15:17:05 +0200

Changed in binutils-ppc64el-cross (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.